## r-cran-splines2 0.2.8

=== DESCRIPTION ===
Package: splines2
Title: Regression Spline Functions and Classes
Version: 0.2.8
Date: 2018-06-14
Authors@R: c(
    person(given = "Wenjie", family = "Wang",
           email = "wenjie.2.wang@uconn.edu",
           role = c("aut", "cre")),
    person(given = "Jun", family = "Yan", role = "aut")
    )
Description: Constructs B-splines and its integral, monotone splines
    (M-splines) and its integral (I-splines), convex splines (C-splines),
    and their derivatives of given order. Piecewise constant basis is
    allowed for B-splines and M-splines. See
    De Boor (1978) <doi:10.1002/zamm.19800600129>,
    Ramsay (1988) <doi:10.1214/ss/1177012761>, and
    Meyer (2008) <doi:10.1214/08-AOAS167> for more information.
Imports: splines, stats
Suggests: knitr, rmarkdown, testthat
Depends: R (>= 3.2.3)
VignetteBuilder: knitr
License: GPL (>= 3)
URL: https://github.com/wenjie2wang/splines2
BugReports: https://github.com/wenjie2wang/splines2/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-06-14 18:34:43 UTC; wenjie
Author: Wenjie Wang [aut, cre],
  Jun Yan [aut]
Maintainer: Wenjie Wang <wenjie.2.wang@uconn.edu>
Repository: CRAN
Date/Publication: 2018-06-14 19:00:03 UTC

=== debian/changelog ===
r-cran-splines2 (0.2.8-3) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 09:02:44 +0200

r-cran-splines2 (0.2.8-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 24 Feb 2020 13:58:44 +0100

r-cran-splines2 (0.2.8-1) unstable; urgency=medium

  * Initial release (closes: #940706)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Sep 2019 16:57:24 +0200

=== debian/control ===
Source: r-cran-splines2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-splines2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-splines2.git
Homepage: https://cran.r-project.org/package=splines2
Rules-Requires-Root: no

Package: r-cran-splines2
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R regression spline functions and classes
 Constructs B-splines and its integral, monotone splines
 (M-splines) and its integral (I-splines), convex splines (C-splines),
 and their derivatives of given order. Piecewise constant basis is
 allowed for B-splines and M-splines. See
 De Boor (1978) <doi:10.1002/zamm.19800600129>,
 Ramsay (1988) <doi:10.1214/ss/1177012761>, and
 Meyer (2008) <doi:10.1214/08-AOAS167> for more information.

## r-cran-splines2 0.4.1

=== debian/changelog ===
r-cran-splines2 (0.4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:55:22 +0100

r-cran-splines2 (0.3.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Sat, 05 Sep 2020 23:13:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,21 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
+               r-base-dev,
+               r-cran-rcpp,
+               r-cran-rcpparmadillo
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-splines2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-splines2.git
 Homepage: https://cran.r-project.org/package=splines2
 Rules-Requires-Root: no
 
 Package: r-cran-splines2
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-splines2 0.4.5

=== DESCRIPTION ===
Package: splines2
Title: Regression Spline Functions and Classes
Version: 0.4.5
Authors@R: c(
    person(given = "Wenjie", family = "Wang",
           email = "wang@wwenjie.org",
           role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-0363-3180")),
    person(given = "Jun", family = "Yan", role = "aut",
           comment = c(ORCID = "0000-0003-4401-7296"))
    )
Description: Constructs basis matrix of B-splines, M-splines,
    I-splines, convex splines (C-splines), periodic M-splines,
    natural cubic splines, generalized Bernstein polynomials,
    and their integrals (except C-splines) and derivatives
    of given order by close-form recursive formulas.
    It also contains a C++ head-only library integrated with Rcpp.
    See Wang and Yan (2021) <doi:10.6339/21-JDS1020> for details.
Imports: Rcpp, stats
LinkingTo: Rcpp, RcppArmadillo
Suggests: knitr, rmarkdown, tinytest
Depends: R (>= 3.2.3)
VignetteBuilder: knitr
License: GPL (>= 3)
URL: https://wwenjie.org/splines2,
        https://github.com/wenjie2wang/splines2
BugReports: https://github.com/wenjie2wang/splines2/issues
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-09-19 00:33:10 UTC; wenjie
Author: Wenjie Wang [aut, cre] (<https://orcid.org/0000-0003-0363-3180>),
  Jun Yan [aut] (<https://orcid.org/0000-0003-4401-7296>)
Maintainer: Wenjie Wang <wang@wwenjie.org>
Repository: CRAN
Date/Publication: 2021-09-19 13:20:02 UTC

=== debian/changelog ===
r-cran-splines2 (0.4.5-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 22 Sep 2021 08:48:54 +0200

r-cran-splines2 (0.4.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Aug 2021 15:22:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-splines2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-splines2.git
 Homepage: https://cran.r-project.org/package=splines2

## r-cran-splines2 0.4.6

=== debian/changelog ===
r-cran-splines2 (0.4.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-splines2
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-splines2
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-splines2.git
+Homepage: https://cran.r-project.org/package=splines2
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-splines2
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-splines2.git
-Homepage: https://cran.r-project.org/package=splines2
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-splines2
 Architecture: any

## r-cran-splines2 0.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: splines2
 Title: Regression Spline Functions and Classes
-Version: 0.4.5
+Version: 0.4.7
 Authors@R: c(
     person(given = "Wenjie", family = "Wang",
            email = "wang@wwenjie.org",
@@ -26,11 +26,11 @@
         https://github.com/wenjie2wang/splines2
 BugReports: https://github.com/wenjie2wang/splines2/issues
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2021-09-19 00:33:10 UTC; wenjie
+Packaged: 2023-01-14 02:25:26 UTC; wenjie
 Author: Wenjie Wang [aut, cre] (<https://orcid.org/0000-0003-0363-3180>),
   Jun Yan [aut] (<https://orcid.org/0000-0003-4401-7296>)
 Maintainer: Wenjie Wang <wang@wwenjie.org>
 Repository: CRAN
-Date/Publication: 2021-09-19 13:20:02 UTC
+Date/Publication: 2023-01-14 09:30:03 UTC

=== debian/changelog ===
r-cran-splines2 (0.4.7-1) unstable; urgency=medium

  * lintian-overrides: source-is-missing
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 11:39:48 +0100

## r-cran-splines2 0.5.0

=== debian/changelog ===
r-cran-splines2 (0.5.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 21:06:34 +0200

## r-cran-splines2 0.5.1

=== DESCRIPTION ===
Package: splines2
Title: Regression Spline Functions and Classes
Version: 0.5.1
Authors@R: c(
    person(given = "Wenjie", family = "Wang",
           email = "wang@wwenjie.org",
           role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-0363-3180")),
    person(given = "Jun", family = "Yan", role = "aut",
           comment = c(ORCID = "0000-0003-4401-7296"))
    )
Description: Constructs basis functions of B-splines, M-splines,
    I-splines, convex splines (C-splines), periodic splines,
    natural cubic splines, generalized Bernstein polynomials,
    their derivatives, and integrals (except C-splines)
    by closed-form recursive formulas.
    It also contains a C++ head-only library integrated with Rcpp.
    See Wang and Yan (2021) <doi:10.6339/21-JDS1020> for details.
Imports: stats, graphics, Rcpp
LinkingTo: Rcpp, RcppArmadillo
Suggests: knitr, rmarkdown, tinytest, RcppArmadillo
Depends: R (>= 3.2.3)
VignetteBuilder: knitr
License: GPL (>= 3)
URL: https://wwenjie.org/splines2,
        https://github.com/wenjie2wang/splines2
BugReports: https://github.com/wenjie2wang/splines2/issues
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-08-19 18:24:19 UTC; wenjie
Author: Wenjie Wang [aut, cre] (<https://orcid.org/0000-0003-0363-3180>),
  Jun Yan [aut] (<https://orcid.org/0000-0003-4401-7296>)
Maintainer: Wenjie Wang <wang@wwenjie.org>
Repository: CRAN
Date/Publication: 2023-08-19 20:00:07 UTC

=== debian/changelog ===
r-cran-splines2 (0.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 14:35:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-splines2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-splines2.git
 Homepage: https://cran.r-project.org/package=splines2
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-splines2 0.5.2

=== debian/changelog ===
r-cran-splines2 (0.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Jun 2024 15:22:53 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-splines2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-splines2.git
 Homepage: https://cran.r-project.org/package=splines2
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-tinytest
Restrictions: allow-stderr

## r-cran-splines2 0.5.3

=== debian/changelog ===
r-cran-splines2 (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 09:08:58 +0900

## r-cran-splines2 0.5.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: splines2
 Title: Regression Spline Functions and Classes
-Version: 0.5.1
+Version: 0.5.4
 Authors@R: c(
     person(given = "Wenjie", family = "Wang",
            email = "wang@wwenjie.org",
@@ -26,11 +26,11 @@
         https://github.com/wenjie2wang/splines2
 BugReports: https://github.com/wenjie2wang/splines2/issues
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-08-19 18:24:19 UTC; wenjie
+Packaged: 2025-02-28 02:29:56 UTC; wenjie
 Author: Wenjie Wang [aut, cre] (<https://orcid.org/0000-0003-0363-3180>),
   Jun Yan [aut] (<https://orcid.org/0000-0003-4401-7296>)
 Maintainer: Wenjie Wang <wang@wwenjie.org>
 Repository: CRAN
-Date/Publication: 2023-08-19 20:00:07 UTC
+Date/Publication: 2025-02-28 05:40:02 UTC

=== debian/changelog ===
r-cran-splines2 (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Mar 2025 08:50:26 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-splines2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-splines2.git
 Homepage: https://cran.r-project.org/package=splines2
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/splines2_([-\d.]*)\.tar\.gz
